For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Discord
DocsAPI Reference
DocsAPI Reference
  • Projects
    • GETList projects
    • POSTCreate a project
    • GETGet a project
    • DELDelete a project
    • PATCHUpdate a project
    • POSTTrigger a dynamic pull request run
    • GETList project credentials
    • POSTCreate a project credential
    • GETList project memories
    • POSTCreate a project memory
    • DELDelete a project memory
    • GETList project files
    • GETList project mobile apps
    • POSTUpload a project mobile app
    • DELDelete a project mobile app
    • POSTInitiate a project mobile app upload
    • POSTConfirm a project mobile app upload
  • Tests
    • GETList tests
    • POSTCreate a test
    • GETGet a test
    • DELDelete a test
    • PATCHUpdate a test
    • POSTTrigger a test run
  • Groups
    • GETList test groups
    • POSTCreate a test group
    • GETGet a test group
    • DELDelete a test group
    • PATCHUpdate a test group
    • POSTAdd a test to a group
    • DELRemove a test from a group
    • POSTTrigger a test group run
  • Webhooks
    • POSTTrigger a project webhook
    • POSTTrigger a group webhook
  • Test Runs
    • GETList test runs
    • GETGet test run status
    • POSTCancel a queued or running run
LogoLogo
Discord
Tests

Update a test

||View as Markdown|
PATCH
https://tester.army/api/v1/tests/:testId
PATCH
/api/v1/tests/:testId
$curl -X PATCH https://tester.army/api/v1/tests/testId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "test": {
3 "id": "string",
4 "title": "string",
5 "steps": [
6 {
7 "title": "string",
8 "type": "act"
9 }
10 ],
11 "description": "string",
12 "enabled": true,
13 "platform": "web",
14 "projectId": "string",
15 "projectUrl": "string",
16 "projectName": "string",
17 "createdAt": "2024-01-15T09:30:00Z",
18 "updatedAt": "2024-01-15T09:30:00Z"
19 }
20}
Update a structured test definition.
Was this page helpful?
Previous

Delete a test

Next

Trigger a test run

Built with

Authentication

AuthorizationBearer
API key authentication using Bearer token format

Path parameters

testIdstringRequiredformat: "uuid"
Test ID

Request

This endpoint expects an object.
titlestringOptional1-500 characters
descriptionstringOptional
stepslist of objectsOptional
enabledbooleanOptional

Response

Test updated
testobject

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error